stack-1.3.2: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Build.Installed

Synopsis

- type InstalledMap = Map PackageName (InstallLocation, Installed)
- data Installed
  - = Library PackageIdentifier GhcPkgId
  - | Executable PackageIdentifier
- data GetInstalledOpts = GetInstalledOpts {
  - getInstalledProfiling :: !Bool
  - getInstalledHaddock :: !Bool
  }
- getInstalled :: (StackM env m, HasEnvConfig env, PackageInstallInfo pii) => EnvOverride -> GetInstalledOpts -> Map PackageName pii -> m (InstalledMap, [DumpPackage () ()], [DumpPackage () ()], [DumpPackage () ()])

# Documentation

type InstalledMap = Map PackageName (InstallLocation, Installed) #

data Installed #

Constructors

Library PackageIdentifier GhcPkgId |
Executable PackageIdentifier |

Instances

Eq Installed # |
Methods (==) :: Installed -> Installed -> Bool # (/=) :: Installed -> Installed -> Bool #
Ord Installed # |
Methods compare :: Installed -> Installed -> Ordering # (<) :: Installed -> Installed -> Bool # (<=) :: Installed -> Installed -> Bool # (>) :: Installed -> Installed -> Bool # (>=) :: Installed -> Installed -> Bool # max :: Installed -> Installed -> Installed # min :: Installed -> Installed -> Installed #
Show Installed # |
Methods showsPrec :: Int -> Installed -> ShowS # show :: Installed -> String # showList :: [Installed] -> ShowS #

data GetInstalledOpts #

Options for `getInstalled`.

Constructors

GetInstalledOpts |
Fields getInstalledProfiling :: !Bool Require profiling libraries? getInstalledHaddock :: !Bool Require haddocks?

getInstalled #

Arguments

:: (StackM env m, HasEnvConfig env, PackageInstallInfo pii) |
=> EnvOverride |
-> GetInstalledOpts |
-> Map PackageName pii | does not contain any installed information
-> m (InstalledMap, [DumpPackage () ()], [DumpPackage () ()], [DumpPackage () ()]) |

Returns the new InstalledMap and all of the locally registered packages.